Custom Query (44 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (1 - 3 of 44)

1 2 3 4 5 6 7 8 9 10 11
Ticket Resolution Summary Owner Reporter
#126 fixed INN 2.4.5 crashing with Perl 5.8.9 eagle jeff
Description

When INN 2.4.5 (but not 2.4.3), is compiled with perl support using Perl 5.8.9 (but not 5.8.8 or 5.10.0), innd crashes at startup. Both reports come from users with FreeBSD (one running 6.x and one running 7.1-p2).

gdb of the innd core shows:

#0  0x281bbd90 in Perl_doing_taint () from .../perl5/5.8.9/mach/CORE/libperl.so
#1  0x281bbdd4 in Perl_sys_init3 () from .../perl5/5.8.9/mach/CORE/libperl.so
#2  0x08090e74 in PERLsetup ()
#3  0x0805c088 in main ()

Reported separately by Marc G. Fournier and Michael Grimm.

#78 fixed Add support for Python 3.0 eagle Julien ÉLIE
Description

Python 3.0 was released on December, 3rd 2008. The syntax currently used in Python 2.x scripts shipped with INN is not compatible with the new version. Therefore, innd and nnrpd Python filters should be reviewed and made compatible with both Python 2.x and 3.0.

Compilation with Python 3.0 API should also be checked (new functions to use? no issue when building INN with Python support?)

Also be sure that INN compiles fine with Python 2.5.x and 2.6.x.

#91 fixed Add CAPABILITIES to nnrpd eagle Julien ÉLIE
Description

Support for the CAPABILITIES command should be added to nnrpd when it is fully compliant with RFC 3977. (It is currently almost compliant.)

1 2 3 4 5 6 7 8 9 10 11
Note: See TracQuery for help on using queries.